Advanced roadmap - Error #1341

500 Internal Server Error on some versions page access
2017-04-14 00:16 - Artur H

Status: Rejected Start date:

Priority: High Due date:

Assignee: Emilio Gonzalez Montafia % Done: 0%

Category: Milestones Estimated time: 0.00 hour
Target version: Advanced roadmap 0.11.0

Source: Development Redmine version: Redmine trunk
Detected on version: Advanced roadmap 0.11.0

Description

When | am on the Roadmap page and have a list of all versions with all the details, click on one of versions work OK and on some
other it generates 500 error as in attached log excerpt.

Started GET "/versions/135" for fe80::1clé4:1bed:5ae9:aedb at 2017-04-13 15:09:34 -0700
Processing by VersionsController#show as HTML

Parameters: {"id"=>"135"}

Current user: kobit (id=4)

Rendered plugins/advanced_roadmap/app/views/versions/show.html.erb within layouts/base (4.3ms)
Completed 500 Internal Server Error in 189ms (ActiveRecord: 47.2ms)

ActionView: :Template::Error (No route matches {:action=>"edit", :controller=>"wiki", :id=>#<Projec
t id: 159, name: "Redmine Plugins", description: "A project to keep Redmine plugins developed for
Ti...", homepage: "", is_public: false, parent_id: 188, created_on: "2017-02-23 10:35:43", updated
_on: "2017-03-03 04:43:42", identifier: "redmine-plugins", status: 1, 1ft: 218, rgt: 223, inherit_
members: false, default_version_id: 135, product_backlog_id: nil>, :page=>"Support_time_tracking"}
) :

1: <div class="contextual">

2 <%= link_to_if_authorized 1 (:button_edit), {:controller => 'versions', :action => 'edit',

:id => @version}, :class => 'icon icon-edit' %>

3: <%= link_to_if_ authorized(l (:button_edit_associated_wikipage, :page_title => @version.wik
i_page_title), {:controller => 'wiki', :action => 'edit', :id => @version.project, :page => Wiki.t
itleize (@version.wiki_page_title)}, :class => 'icon icon-edit') unless @version.wiki_page_title.bl

ank? || @version.project.wiki.nil? %>

4: <%= call_hook (:view_versions_show_contextual, { :version => @version, :project => @projec
t }) %>

5: </div>

6:

app/helpers/application_helper.rb:48:in "link_to_if_ authorized'

plugins/advanced_roadmap/app/views/versions/show.html.erb:3:in '_plugins_advanced_roadmap_app_vi
ews_versions_show_html_erb_ 3856215626373335370_69883372839140"

lib/redmine/sudo_mode.rb:63:in " sudo_mode'

Related issues:
Is duplicate of Advanced roadmap - Error #1374: Internal server error 500 Resolved 2017-05-24 2017-05-24

History

#1 - 2017-05-25 03:21 - Artur H

Tested and the problem is fixed in the last repo code. Thank you for quick resolution.

#2 - 2017-06-02 08:05 - Emilio Gonzalez Montaiha

- Is duplicate of Error #1374: Internal server error 500 added

#3 - 2017-06-02 08:05 - Emilio Gonzalez Montaha

- Status changed from New to Rejected

Duplicates #1374.

2024-03-13 1/1



https://redmine.ociotec.com/issues/1374
http://www.tcpdf.org

